"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * @packageDocumentation
 * A simple js parser for XML for nodejs and the browser.
 *
 * It will handle smoothly line-breaks, spaces, chunks (from stream), namespaces...
 *
 * It is fast and optimized for Buffer or Uint8Array of encoded strings (utf8) but will take strings too.
 */
var tokenizer_1 = require("./tokenizer");
exports.Tokenizer = tokenizer_1.Tokenizer;
var document_parser_1 = require("./document-parser");
exports.DocumentParser = document_parser_1.DocumentParser;
var parser_1 = require("./parser");
exports.Parser = parser_1.Parser;
var token_1 = require("./token");
exports.Token = token_1.Token;
// export { BS } from './bs'
//# sourceMappingURL=index.js.map