import { Parser } from '.';
import { Token } from '../token';
export declare const createObject: (startTag: Token.StartTag) => any;
/**
 * Simplified, opiniated, representation of an xml element
 *
 * Produce an object where attributes are properties (string) of the object and
 * children element are arrays of objects.
 *
 * @remarks
 * - Fully qualified names are used for property names.
 * - All texts are collected in property `#text`
 */
export declare class XmlToObjectParser implements Parser.IParser {
    onStart(startTag: Token.StartTag, parentCtx: any): void;
    onText(text: Token.Text | Token.CDATA, ctx: any): void;
    onChild(): this;
}
