import { Token } from '../token';
import { Parser } from './';
/**
 * Representation of an xml element
 * @beta
 *
 */
export declare class XmlElement {
    readonly startTag: Token.StartTag;
    constructor(startTag: Token.StartTag);
    /**
     * {@inheritDoc Token.StartTag.getAttribute}
     */
    getAttribute(name: string): string | undefined;
    /** see {@link Token.StartTag.tagName} */
    get tagName(): string;
    /** Children */
    children: (XmlElement | Token.Text | Token.CDATA)[];
    /** string as xml */
    toString(): string;
}
/**
 * Parser producing a representation of an xml element see class `XmlElement`
 * @beta
 */
export declare const XmlElementParser: () => Parser.IParser;
